---
package_dir: ../packages

package_glob: ../packages/*.xml

# tests_to_skip is a dict of lists. The key is the name
# of a test to skip, and then with with a value which is
# the list of filenames for which the test should not
# be run. The filename should be relative to package_dir
#
# Example: suppose you want to skip the test test_example
#          for files 7zip.xml and winscp.xml in package_dir
#
# tests_to_skip:
#  test_example:
#  - 7zip.xml
#  - winscp.xml

variable_names_to_skip:
  openssh_srv.xml:
    - wpkgwininfo

# This should be a suitable subset of the default env vars
# expected in the ucam_wpkg repo.
repo_var_names:
  - WPKGSOFTWARE
  - WPKGINSTITUTION
  - WPKGSUBINSTITUTION
  - WPKGSHAREBASE
  - WPKGLOGDIR

# default environment variables that Windows defines
win_var_names:
  - programfiles(x86)
  - programfiles
  - programdata
  - allusersprofile
  - comspec
  - computername
  - windir
  - systemdrive
  - programfileswpkg
  - temp
  - systemroot
  - public
  - arch

